package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag701;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT701Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag47ACreator extends AbsTagCreate {

     private MT701Creator mt701Creator;

    public Tag47ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt701Creator= (MT701Creator) absMTCreator;
    }

    public void creator()
    {
        String tag47AValue = mt701Creator.getAdditionalConditions();
        mt701Creator.set("47A", tag47AValue);
    }
}

